An update to my WS-Security interop series got posted today.  This article shows WS-Security interoperability (using X.509 certs) between WSE 2.0 and Sun's JWSDP (Java Web Services Developer Pack) 1.5.